Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030921
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2015-09-24 12:222015-10-02 07:39
ReporteralostaleView Statuspublic 
Assigned Toplatform 
PriorityimmediateResolutionopenFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version3.0PR15Q2.6
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2011-01-19
Regression introduced in release3.0RC4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/7fc34fd92373 [^]
Triggers an Emergency PackNo
Summary

0030921: can't use DB connection defined as JNDI service

DescriptionIt is not possible to use DB connection defined as JNDI service because even having it configured, direct connection is tried to be created in some places.

The behavior is different depending on OB version:

* 3.0RC4-current pi (pre PR15Q4), this error is risen:
   [main] ERROR org.openbravo.database.ConnectionProviderImpl - Error getting connection java.sql.SQLException: No suitable driver found for null/null
    at java.sql.DriverManager.getConnection(DriverManager.java:689)
    at java.sql.DriverManager.getConnection(DriverManager.java:270)
    at org.openbravo.database.OpenbravoDriverManagerConnectionFactory.createConnection(OpenbravoDriverManagerConnectionFactory.java:55)
* current pi (pre PR15Q4), in same place a ClassCastException is thrown trying to cast JNDIConnectionProvider to ConnectionProviderImpl

Additionally, when it is combined with JdbcExternalConnectionPool:
* it tries to create two pools: one for DAL and another one for xsql connections
* DAL connections try to use direct DB connection rather than JNDI resulting in NPE if those properties are not set
Steps To Reproduce* Configure Openbravo to use JNDI (removing the rest of direct DB connection settings) [1] removing from Openbravo.properties settings to use direct DB connection
* Start Tomcat

[1] follow documentation in http://wiki.openbravo.com/wiki/Projects:JNDI_Service/Technical_Documentation [^] until 0030918 is fixed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00309193.0PR16Q1 closedalostale can't use DB connection defined as JNDI service 

-  Notes
(0080796)
alostale (developer)
2015-10-02 07:39

It won't be fixed as backport due the risk it would add and the low usage of this feature.

- Issue History
Date Modified Username Field Change
2015-09-24 12:39 alostale Type defect => backport
2015-09-24 12:39 alostale Target Version => 3.0PR15Q2.6
2015-10-02 07:39 alostale Note Added: 0080796
2015-10-02 07:39 alostale Status scheduled => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker